require "json"
require "httparty"

module Piping
  class Client
    def initialize(base_uri: ENV.fetch("PIPING_DRAIN_URI"))
      @base_uri = base_uri
    end

    def create_events(events)
      post("events", events)
    end

    private

    attr_reader :base_uri

    def post(path, data)
      response = HTTParty.post(
        uri(path),
        body: JSON.dump(data),
        headers: {
          "Content-Type" => "application/json",
        }
      )
      response.response.value
      response
    end

    def uri(path)
      "#{base_uri}/#{path}"
    end
  end
end
